<?php
/* Autor...:  */
/* Esquema.: VTA_Documento.xml */
/* Generado: 2021-12-22 04:05:37 */

/* Metodos de acceso a los campos de la tabla VTA_Documento */
abstract class BaseVTA_DocumentoBN
{
    /* Campos de la tabla */
    private $s_IdTipoDocumento;    // IdTipoDocumento: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_NumeroDocumento;    // NumeroDocumento: ( no definido )
    private $s_Sucursal;    // Sucursal: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $s_AlmacenDespacho;    // AlmacenDespacho: ( no definido )
    private $s_IdFormaPago;    // IdFormaPago: ( no definido )
    private $s_FormaPagoCod;    // FormaPagoCod: ( no definido )
    private $i_TerminoPago;    // TerminoPago: ( no definido )
    private $i_IdCierre;    // IdCierre: ( no definido )
    private $i_IdCaja;    // IdCaja: ( no definido )
    private $i_IdTurno;    // IdTurno: ( no definido )
    private $i_IdProyecto;    // IdProyecto: ( no definido )
    private $s_DocumentoCod;    // DocumentoCod: ( no definido )
    private $s_DocumentoSerie;    // DocumentoSerie: ( no definido )
    private $s_DocumentoNumero;    // DocumentoNumero: ( no definido )
    private $s_NumeroComprobante;    // NumeroComprobante: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $d_FechaDocumento;    // FechaDocumento: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $i_DocumentoParentId;    // DocumentoParentId: ( no definido )
    private $s_DocumentoParentCod;    // DocumentoParentCod: ( no definido )
    private $s_ClienteNumero;    // ClienteNumero: ( no definido )
    private $s_ClienteTipoDoc;    // ClienteTipoDoc: ( no definido )
    private $s_ClienteRUC;    // ClienteRUC: ( no definido )
    private $s_ClienteNombre;    // ClienteNombre: ( no definido )
    private $f_ClienteDireccionSecuencia;    // ClienteDireccionSecuencia: ( no definido )
    private $s_ClienteDireccion;    // ClienteDireccion: ( no definido )
    private $s_ClienteReferencia;    // ClienteReferencia: ( no definido )
    private $s_ClienteContacto;    // ClienteContacto: ( no definido )
    private $s_Departamento;    // Departamento: ( no definido )
    private $s_Provincia;    // Provincia: ( no definido )
    private $s_Distrito;    // Distrito: ( no definido )
    private $s_Ubigeo;    // Ubigeo: ( no definido )
    private $s_TipoFacturacion;    // TipoFacturacion: ( no definido )
    private $s_OrdenCompraRef;    // OrdenCompraRef: ( no definido )
    private $s_TipoVenta;    // TipoVenta: ( no definido )
    private $s_Vendedor;    // Vendedor: ( no definido )
    private $i_DetraccionTipoId;    // DetraccionTipoId: ( no definido )
    private $f_DetraccionPorcentaje;    // DetraccionPorcentaje: ( no definido )
    private $i_DetraccionMedPagoId;    // DetraccionMedPagoId: ( no definido )
    private $f_DetraccionTotal;    // DetraccionTotal: ( no definido )
    private $i_EsAgenteRetenedor;    // EsAgenteRetenedor: ( no definido )
    private $i_RetencionTipoId;    // RetencionTipoId: ( no definido )
    private $f_RetencionBaseImponible;    // RetencionBaseImponible: ( no definido )
    private $f_RetencionPorcentaje;    // RetencionPorcentaje: ( no definido )
    private $f_RetencionTotal;    // RetencionTotal: ( no definido )
    private $f_TipodeCambio;    // TipodeCambio: ( no definido )
    private $s_MonedaDocumento;    // MonedaDocumento: ( no definido )
    private $f_MontoSubTotal;    // MontoSubTotal: ( no definido )
    private $f_MontoSubTotalMN;    // MontoSubTotalMN: ( no definido )
    private $f_MontoAfecto;    // MontoAfecto: ( no definido )
    private $f_MontoAfectoMN;    // MontoAfectoMN: ( no definido )
    private $f_MontoNoAfecto;    // MontoNoAfecto: ( no definido )
    private $f_MontoNoAfectoMN;    // MontoNoAfectoMN: ( no definido )
    private $f_MontoExonerado;    // MontoExonerado: ( no definido )
    private $f_MontoExoneradoMN;    // MontoExoneradoMN: ( no definido )
    private $f_MontoGratuito;    // MontoGratuito: ( no definido )
    private $f_MontoGratuitoMN;    // MontoGratuitoMN: ( no definido )
    private $f_MontoImpuestos;    // MontoImpuestos: ( no definido )
    private $f_MontoImpuestoMN;    // MontoImpuestoMN: ( no definido )
    private $f_MontoDescuentos;    // MontoDescuentos: ( no definido )
    private $f_MontoDescuentosMN;    // MontoDescuentosMN: ( no definido )
    private $f_MontoAnticipo;    // MontoAnticipo: ( no definido )
    private $f_MontoAnticipoMN;    // MontoAnticipoMN: ( no definido )
    private $f_MontoRedondeo;    // MontoRedondeo: ( no definido )
    private $f_MontoRedondeoMN;    // MontoRedondeoMN: ( no definido )
    private $f_MontoTotal;    // MontoTotal: ( no definido )
    private $f_MontoTotalMN;    // MontoTotalMN: ( no definido )
    private $f_MontoPagado;    // MontoPagado: ( no definido )
    private $f_MontoPagadoMN;    // MontoPagadoMN: ( no definido )
    private $f_MontoSaldo;    // MontoSaldo: ( no definido )
    private $f_MontoSaldoMN;    // MontoSaldoMN: ( no definido )
    private $d_FechaFacturacion;    // FechaFacturacion: ( no definido )
    private $d_FechaAprobacion;    // FechaAprobacion: ( no definido )
    private $s_NotaCreditoDocumento;    // NotaCreditoDocumento: ( no definido )
    private $s_ImpresionPendienteFlag;    // ImpresionPendienteFlag: ( no definido )
    private $d_FechaImpresion;    // FechaImpresion: ( no definido )
    private $s_ImpresionGuiaRemFlag;    // ImpresionGuiaRemFlag: ( no definido )
    private $d_FechaImpresionGuiRem;    // FechaImpresionGuiRem: ( no definido )
    private $s_NumeroRefAdicional1;    // NumeroRefAdicional1: ( no definido )
    private $d_FechaRefAdicional1;    // FechaRefAdicional1: ( no definido )
    private $s_Comentario;    // Comentario: ( no definido )
    private $s_AnulacionComentario;    // AnulacionComentario: ( no definido )
    private $s_CanalVenta;    // CanalVenta: ( no definido )
    private $d_FechaCobranza;    // FechaCobranza: ( no definido )
    private $s_CobranzaEstado;    // CobranzaEstado: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )

    /* Establece el valor del campo IdTipoDocumento */
    public function setIdTipoDocumento( $s_IdTipoDocumento )
    {
        $this->s_IdTipoDocumento = $s_IdTipoDocumento;
    }

    /* Obtiene el valor del campo IdTipoDocumento */
    public function getIdTipoDocumento()
    {
        return $this->s_IdTipoDocumento;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo NumeroDocumento */
    public function setNumeroDocumento( $s_NumeroDocumento )
    {
        $this->s_NumeroDocumento = $s_NumeroDocumento;
    }

    /* Obtiene el valor del campo NumeroDocumento */
    public function getNumeroDocumento()
    {
        return $this->s_NumeroDocumento;
    }

    /* Establece el valor del campo Sucursal */
    public function setSucursal( $s_Sucursal )
    {
        $this->s_Sucursal = $s_Sucursal;
    }

    /* Obtiene el valor del campo Sucursal */
    public function getSucursal()
    {
        return $this->s_Sucursal;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo AlmacenDespacho */
    public function setAlmacenDespacho( $s_AlmacenDespacho )
    {
        $this->s_AlmacenDespacho = $s_AlmacenDespacho;
    }

    /* Obtiene el valor del campo AlmacenDespacho */
    public function getAlmacenDespacho()
    {
        return $this->s_AlmacenDespacho;
    }

    /* Establece el valor del campo IdFormaPago */
    public function setIdFormaPago( $s_IdFormaPago )
    {
        $this->s_IdFormaPago = $s_IdFormaPago;
    }

    /* Obtiene el valor del campo IdFormaPago */
    public function getIdFormaPago()
    {
        return $this->s_IdFormaPago;
    }

    /* Establece el valor del campo FormaPagoCod */
    public function setFormaPagoCod( $s_FormaPagoCod )
    {
        $this->s_FormaPagoCod = $s_FormaPagoCod;
    }

    /* Obtiene el valor del campo FormaPagoCod */
    public function getFormaPagoCod()
    {
        return $this->s_FormaPagoCod;
    }

    /* Establece el valor del campo TerminoPago */
    public function setTerminoPago( $i_TerminoPago )
    {
        $this->i_TerminoPago = $i_TerminoPago;
    }

    /* Obtiene el valor del campo TerminoPago */
    public function getTerminoPago()
    {
        return $this->i_TerminoPago;
    }

    /* Establece el valor del campo IdCierre */
    public function setIdCierre( $i_IdCierre )
    {
        $this->i_IdCierre = $i_IdCierre;
    }

    /* Obtiene el valor del campo IdCierre */
    public function getIdCierre()
    {
        return $this->i_IdCierre;
    }

    /* Establece el valor del campo IdCaja */
    public function setIdCaja( $i_IdCaja )
    {
        $this->i_IdCaja = $i_IdCaja;
    }

    /* Obtiene el valor del campo IdCaja */
    public function getIdCaja()
    {
        return $this->i_IdCaja;
    }

    /* Establece el valor del campo IdTurno */
    public function setIdTurno( $i_IdTurno )
    {
        $this->i_IdTurno = $i_IdTurno;
    }

    /* Obtiene el valor del campo IdTurno */
    public function getIdTurno()
    {
        return $this->i_IdTurno;
    }

    /* Establece el valor del campo IdProyecto */
    public function setIdProyecto( $i_IdProyecto )
    {
        $this->i_IdProyecto = $i_IdProyecto;
    }

    /* Obtiene el valor del campo IdProyecto */
    public function getIdProyecto()
    {
        return $this->i_IdProyecto;
    }

    /* Establece el valor del campo DocumentoCod */
    public function setDocumentoCod( $s_DocumentoCod )
    {
        $this->s_DocumentoCod = $s_DocumentoCod;
    }

    /* Obtiene el valor del campo DocumentoCod */
    public function getDocumentoCod()
    {
        return $this->s_DocumentoCod;
    }

    /* Establece el valor del campo DocumentoSerie */
    public function setDocumentoSerie( $s_DocumentoSerie )
    {
        $this->s_DocumentoSerie = $s_DocumentoSerie;
    }

    /* Obtiene el valor del campo DocumentoSerie */
    public function getDocumentoSerie()
    {
        return $this->s_DocumentoSerie;
    }

    /* Establece el valor del campo DocumentoNumero */
    public function setDocumentoNumero( $s_DocumentoNumero )
    {
        $this->s_DocumentoNumero = $s_DocumentoNumero;
    }

    /* Obtiene el valor del campo DocumentoNumero */
    public function getDocumentoNumero()
    {
        return $this->s_DocumentoNumero;
    }

    /* Establece el valor del campo NumeroComprobante */
    public function setNumeroComprobante( $s_NumeroComprobante )
    {
        $this->s_NumeroComprobante = $s_NumeroComprobante;
    }

    /* Obtiene el valor del campo NumeroComprobante */
    public function getNumeroComprobante()
    {
        return $this->s_NumeroComprobante;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo FechaDocumento */
    public function setFechaDocumento( $d_FechaDocumento )
    {
        $this->d_FechaDocumento = $d_FechaDocumento;
    }

    /* Obtiene el valor del campo FechaDocumento */
    public function getFechaDocumento()
    {
        return $this->d_FechaDocumento;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo DocumentoParentId */
    public function setDocumentoParentId( $i_DocumentoParentId )
    {
        $this->i_DocumentoParentId = $i_DocumentoParentId;
    }

    /* Obtiene el valor del campo DocumentoParentId */
    public function getDocumentoParentId()
    {
        return $this->i_DocumentoParentId;
    }

    /* Establece el valor del campo DocumentoParentCod */
    public function setDocumentoParentCod( $s_DocumentoParentCod )
    {
        $this->s_DocumentoParentCod = $s_DocumentoParentCod;
    }

    /* Obtiene el valor del campo DocumentoParentCod */
    public function getDocumentoParentCod()
    {
        return $this->s_DocumentoParentCod;
    }

    /* Establece el valor del campo ClienteNumero */
    public function setClienteNumero( $s_ClienteNumero )
    {
        $this->s_ClienteNumero = $s_ClienteNumero;
    }

    /* Obtiene el valor del campo ClienteNumero */
    public function getClienteNumero()
    {
        return $this->s_ClienteNumero;
    }

    /* Establece el valor del campo ClienteTipoDoc */
    public function setClienteTipoDoc( $s_ClienteTipoDoc )
    {
        $this->s_ClienteTipoDoc = $s_ClienteTipoDoc;
    }

    /* Obtiene el valor del campo ClienteTipoDoc */
    public function getClienteTipoDoc()
    {
        return $this->s_ClienteTipoDoc;
    }

    /* Establece el valor del campo ClienteRUC */
    public function setClienteRUC( $s_ClienteRUC )
    {
        $this->s_ClienteRUC = $s_ClienteRUC;
    }

    /* Obtiene el valor del campo ClienteRUC */
    public function getClienteRUC()
    {
        return $this->s_ClienteRUC;
    }

    /* Establece el valor del campo ClienteNombre */
    public function setClienteNombre( $s_ClienteNombre )
    {
        $this->s_ClienteNombre = $s_ClienteNombre;
    }

    /* Obtiene el valor del campo ClienteNombre */
    public function getClienteNombre()
    {
        return $this->s_ClienteNombre;
    }

    /* Establece el valor del campo ClienteDireccionSecuencia */
    public function setClienteDireccionSecuencia( $f_ClienteDireccionSecuencia )
    {
        $this->f_ClienteDireccionSecuencia = $f_ClienteDireccionSecuencia;
    }

    /* Obtiene el valor del campo ClienteDireccionSecuencia */
    public function getClienteDireccionSecuencia()
    {
        return $this->f_ClienteDireccionSecuencia;
    }

    /* Establece el valor del campo ClienteDireccion */
    public function setClienteDireccion( $s_ClienteDireccion )
    {
        $this->s_ClienteDireccion = $s_ClienteDireccion;
    }

    /* Obtiene el valor del campo ClienteDireccion */
    public function getClienteDireccion()
    {
        return $this->s_ClienteDireccion;
    }

    /* Establece el valor del campo ClienteReferencia */
    public function setClienteReferencia( $s_ClienteReferencia )
    {
        $this->s_ClienteReferencia = $s_ClienteReferencia;
    }

    /* Obtiene el valor del campo ClienteReferencia */
    public function getClienteReferencia()
    {
        return $this->s_ClienteReferencia;
    }

    /* Establece el valor del campo ClienteContacto */
    public function setClienteContacto( $s_ClienteContacto )
    {
        $this->s_ClienteContacto = $s_ClienteContacto;
    }

    /* Obtiene el valor del campo ClienteContacto */
    public function getClienteContacto()
    {
        return $this->s_ClienteContacto;
    }

    /* Establece el valor del campo Departamento */
    public function setDepartamento( $s_Departamento )
    {
        $this->s_Departamento = $s_Departamento;
    }

    /* Obtiene el valor del campo Departamento */
    public function getDepartamento()
    {
        return $this->s_Departamento;
    }

    /* Establece el valor del campo Provincia */
    public function setProvincia( $s_Provincia )
    {
        $this->s_Provincia = $s_Provincia;
    }

    /* Obtiene el valor del campo Provincia */
    public function getProvincia()
    {
        return $this->s_Provincia;
    }

    /* Establece el valor del campo Distrito */
    public function setDistrito( $s_Distrito )
    {
        $this->s_Distrito = $s_Distrito;
    }

    /* Obtiene el valor del campo Distrito */
    public function getDistrito()
    {
        return $this->s_Distrito;
    }

    /* Establece el valor del campo Ubigeo */
    public function setUbigeo( $s_Ubigeo )
    {
        $this->s_Ubigeo = $s_Ubigeo;
    }

    /* Obtiene el valor del campo Ubigeo */
    public function getUbigeo()
    {
        return $this->s_Ubigeo;
    }

    /* Establece el valor del campo TipoFacturacion */
    public function setTipoFacturacion( $s_TipoFacturacion )
    {
        $this->s_TipoFacturacion = $s_TipoFacturacion;
    }

    /* Obtiene el valor del campo TipoFacturacion */
    public function getTipoFacturacion()
    {
        return $this->s_TipoFacturacion;
    }

    /* Establece el valor del campo OrdenCompraRef */
    public function setOrdenCompraRef( $s_OrdenCompraRef )
    {
        $this->s_OrdenCompraRef = $s_OrdenCompraRef;
    }

    /* Obtiene el valor del campo OrdenCompraRef */
    public function getOrdenCompraRef()
    {
        return $this->s_OrdenCompraRef;
    }

    /* Establece el valor del campo TipoVenta */
    public function setTipoVenta( $s_TipoVenta )
    {
        $this->s_TipoVenta = $s_TipoVenta;
    }

    /* Obtiene el valor del campo TipoVenta */
    public function getTipoVenta()
    {
        return $this->s_TipoVenta;
    }

    /* Establece el valor del campo Vendedor */
    public function setVendedor( $s_Vendedor )
    {
        $this->s_Vendedor = $s_Vendedor;
    }

    /* Obtiene el valor del campo Vendedor */
    public function getVendedor()
    {
        return $this->s_Vendedor;
    }

    /* Establece el valor del campo DetraccionTipoId */
    public function setDetraccionTipoId( $i_DetraccionTipoId )
    {
        $this->i_DetraccionTipoId = $i_DetraccionTipoId;
    }

    /* Obtiene el valor del campo DetraccionTipoId */
    public function getDetraccionTipoId()
    {
        return $this->i_DetraccionTipoId;
    }

    /* Establece el valor del campo DetraccionPorcentaje */
    public function setDetraccionPorcentaje( $f_DetraccionPorcentaje )
    {
        $this->f_DetraccionPorcentaje = $f_DetraccionPorcentaje;
    }

    /* Obtiene el valor del campo DetraccionPorcentaje */
    public function getDetraccionPorcentaje()
    {
        return $this->f_DetraccionPorcentaje;
    }

    /* Establece el valor del campo DetraccionMedPagoId */
    public function setDetraccionMedPagoId( $i_DetraccionMedPagoId )
    {
        $this->i_DetraccionMedPagoId = $i_DetraccionMedPagoId;
    }

    /* Obtiene el valor del campo DetraccionMedPagoId */
    public function getDetraccionMedPagoId()
    {
        return $this->i_DetraccionMedPagoId;
    }

    /* Establece el valor del campo DetraccionTotal */
    public function setDetraccionTotal( $f_DetraccionTotal )
    {
        $this->f_DetraccionTotal = $f_DetraccionTotal;
    }

    /* Obtiene el valor del campo DetraccionTotal */
    public function getDetraccionTotal()
    {
        return $this->f_DetraccionTotal;
    }

    /* Establece el valor del campo EsAgenteRetenedor */
    public function setEsAgenteRetenedor( $i_EsAgenteRetenedor )
    {
        $this->i_EsAgenteRetenedor = $i_EsAgenteRetenedor;
    }

    /* Obtiene el valor del campo EsAgenteRetenedor */
    public function getEsAgenteRetenedor()
    {
        return $this->i_EsAgenteRetenedor;
    }

    /* Establece el valor del campo RetencionTipoId */
    public function setRetencionTipoId( $i_RetencionTipoId )
    {
        $this->i_RetencionTipoId = $i_RetencionTipoId;
    }

    /* Obtiene el valor del campo RetencionTipoId */
    public function getRetencionTipoId()
    {
        return $this->i_RetencionTipoId;
    }

    /* Establece el valor del campo RetencionBaseImponible */
    public function setRetencionBaseImponible( $f_RetencionBaseImponible )
    {
        $this->f_RetencionBaseImponible = $f_RetencionBaseImponible;
    }

    /* Obtiene el valor del campo RetencionBaseImponible */
    public function getRetencionBaseImponible()
    {
        return $this->f_RetencionBaseImponible;
    }

    /* Establece el valor del campo RetencionPorcentaje */
    public function setRetencionPorcentaje( $f_RetencionPorcentaje )
    {
        $this->f_RetencionPorcentaje = $f_RetencionPorcentaje;
    }

    /* Obtiene el valor del campo RetencionPorcentaje */
    public function getRetencionPorcentaje()
    {
        return $this->f_RetencionPorcentaje;
    }

    /* Establece el valor del campo RetencionTotal */
    public function setRetencionTotal( $f_RetencionTotal )
    {
        $this->f_RetencionTotal = $f_RetencionTotal;
    }

    /* Obtiene el valor del campo RetencionTotal */
    public function getRetencionTotal()
    {
        return $this->f_RetencionTotal;
    }

    /* Establece el valor del campo TipodeCambio */
    public function setTipodeCambio( $f_TipodeCambio )
    {
        $this->f_TipodeCambio = $f_TipodeCambio;
    }

    /* Obtiene el valor del campo TipodeCambio */
    public function getTipodeCambio()
    {
        return $this->f_TipodeCambio;
    }

    /* Establece el valor del campo MonedaDocumento */
    public function setMonedaDocumento( $s_MonedaDocumento )
    {
        $this->s_MonedaDocumento = $s_MonedaDocumento;
    }

    /* Obtiene el valor del campo MonedaDocumento */
    public function getMonedaDocumento()
    {
        return $this->s_MonedaDocumento;
    }

    /* Establece el valor del campo MontoSubTotal */
    public function setMontoSubTotal( $f_MontoSubTotal )
    {
        $this->f_MontoSubTotal = $f_MontoSubTotal;
    }

    /* Obtiene el valor del campo MontoSubTotal */
    public function getMontoSubTotal()
    {
        return $this->f_MontoSubTotal;
    }

    /* Establece el valor del campo MontoSubTotalMN */
    public function setMontoSubTotalMN( $f_MontoSubTotalMN )
    {
        $this->f_MontoSubTotalMN = $f_MontoSubTotalMN;
    }

    /* Obtiene el valor del campo MontoSubTotalMN */
    public function getMontoSubTotalMN()
    {
        return $this->f_MontoSubTotalMN;
    }

    /* Establece el valor del campo MontoAfecto */
    public function setMontoAfecto( $f_MontoAfecto )
    {
        $this->f_MontoAfecto = $f_MontoAfecto;
    }

    /* Obtiene el valor del campo MontoAfecto */
    public function getMontoAfecto()
    {
        return $this->f_MontoAfecto;
    }

    /* Establece el valor del campo MontoAfectoMN */
    public function setMontoAfectoMN( $f_MontoAfectoMN )
    {
        $this->f_MontoAfectoMN = $f_MontoAfectoMN;
    }

    /* Obtiene el valor del campo MontoAfectoMN */
    public function getMontoAfectoMN()
    {
        return $this->f_MontoAfectoMN;
    }

    /* Establece el valor del campo MontoNoAfecto */
    public function setMontoNoAfecto( $f_MontoNoAfecto )
    {
        $this->f_MontoNoAfecto = $f_MontoNoAfecto;
    }

    /* Obtiene el valor del campo MontoNoAfecto */
    public function getMontoNoAfecto()
    {
        return $this->f_MontoNoAfecto;
    }

    /* Establece el valor del campo MontoNoAfectoMN */
    public function setMontoNoAfectoMN( $f_MontoNoAfectoMN )
    {
        $this->f_MontoNoAfectoMN = $f_MontoNoAfectoMN;
    }

    /* Obtiene el valor del campo MontoNoAfectoMN */
    public function getMontoNoAfectoMN()
    {
        return $this->f_MontoNoAfectoMN;
    }

    /* Establece el valor del campo MontoExonerado */
    public function setMontoExonerado( $f_MontoExonerado )
    {
        $this->f_MontoExonerado = $f_MontoExonerado;
    }

    /* Obtiene el valor del campo MontoExonerado */
    public function getMontoExonerado()
    {
        return $this->f_MontoExonerado;
    }

    /* Establece el valor del campo MontoExoneradoMN */
    public function setMontoExoneradoMN( $f_MontoExoneradoMN )
    {
        $this->f_MontoExoneradoMN = $f_MontoExoneradoMN;
    }

    /* Obtiene el valor del campo MontoExoneradoMN */
    public function getMontoExoneradoMN()
    {
        return $this->f_MontoExoneradoMN;
    }

    /* Establece el valor del campo MontoGratuito */
    public function setMontoGratuito( $f_MontoGratuito )
    {
        $this->f_MontoGratuito = $f_MontoGratuito;
    }

    /* Obtiene el valor del campo MontoGratuito */
    public function getMontoGratuito()
    {
        return $this->f_MontoGratuito;
    }

    /* Establece el valor del campo MontoGratuitoMN */
    public function setMontoGratuitoMN( $f_MontoGratuitoMN )
    {
        $this->f_MontoGratuitoMN = $f_MontoGratuitoMN;
    }

    /* Obtiene el valor del campo MontoGratuitoMN */
    public function getMontoGratuitoMN()
    {
        return $this->f_MontoGratuitoMN;
    }

    /* Establece el valor del campo MontoImpuestos */
    public function setMontoImpuestos( $f_MontoImpuestos )
    {
        $this->f_MontoImpuestos = $f_MontoImpuestos;
    }

    /* Obtiene el valor del campo MontoImpuestos */
    public function getMontoImpuestos()
    {
        return $this->f_MontoImpuestos;
    }

    /* Establece el valor del campo MontoImpuestoMN */
    public function setMontoImpuestoMN( $f_MontoImpuestoMN )
    {
        $this->f_MontoImpuestoMN = $f_MontoImpuestoMN;
    }

    /* Obtiene el valor del campo MontoImpuestoMN */
    public function getMontoImpuestoMN()
    {
        return $this->f_MontoImpuestoMN;
    }

    /* Establece el valor del campo MontoDescuentos */
    public function setMontoDescuentos( $f_MontoDescuentos )
    {
        $this->f_MontoDescuentos = $f_MontoDescuentos;
    }

    /* Obtiene el valor del campo MontoDescuentos */
    public function getMontoDescuentos()
    {
        return $this->f_MontoDescuentos;
    }

    /* Establece el valor del campo MontoDescuentosMN */
    public function setMontoDescuentosMN( $f_MontoDescuentosMN )
    {
        $this->f_MontoDescuentosMN = $f_MontoDescuentosMN;
    }

    /* Obtiene el valor del campo MontoDescuentosMN */
    public function getMontoDescuentosMN()
    {
        return $this->f_MontoDescuentosMN;
    }

    /* Establece el valor del campo MontoAnticipo */
    public function setMontoAnticipo( $f_MontoAnticipo )
    {
        $this->f_MontoAnticipo = $f_MontoAnticipo;
    }

    /* Obtiene el valor del campo MontoAnticipo */
    public function getMontoAnticipo()
    {
        return $this->f_MontoAnticipo;
    }

    /* Establece el valor del campo MontoAnticipoMN */
    public function setMontoAnticipoMN( $f_MontoAnticipoMN )
    {
        $this->f_MontoAnticipoMN = $f_MontoAnticipoMN;
    }

    /* Obtiene el valor del campo MontoAnticipoMN */
    public function getMontoAnticipoMN()
    {
        return $this->f_MontoAnticipoMN;
    }

    /* Establece el valor del campo MontoRedondeo */
    public function setMontoRedondeo( $f_MontoRedondeo )
    {
        $this->f_MontoRedondeo = $f_MontoRedondeo;
    }

    /* Obtiene el valor del campo MontoRedondeo */
    public function getMontoRedondeo()
    {
        return $this->f_MontoRedondeo;
    }

    /* Establece el valor del campo MontoRedondeoMN */
    public function setMontoRedondeoMN( $f_MontoRedondeoMN )
    {
        $this->f_MontoRedondeoMN = $f_MontoRedondeoMN;
    }

    /* Obtiene el valor del campo MontoRedondeoMN */
    public function getMontoRedondeoMN()
    {
        return $this->f_MontoRedondeoMN;
    }

    /* Establece el valor del campo MontoTotal */
    public function setMontoTotal( $f_MontoTotal )
    {
        $this->f_MontoTotal = $f_MontoTotal;
    }

    /* Obtiene el valor del campo MontoTotal */
    public function getMontoTotal()
    {
        return $this->f_MontoTotal;
    }

    /* Establece el valor del campo MontoTotalMN */
    public function setMontoTotalMN( $f_MontoTotalMN )
    {
        $this->f_MontoTotalMN = $f_MontoTotalMN;
    }

    /* Obtiene el valor del campo MontoTotalMN */
    public function getMontoTotalMN()
    {
        return $this->f_MontoTotalMN;
    }

    /* Establece el valor del campo MontoPagado */
    public function setMontoPagado( $f_MontoPagado )
    {
        $this->f_MontoPagado = $f_MontoPagado;
    }

    /* Obtiene el valor del campo MontoPagado */
    public function getMontoPagado()
    {
        return $this->f_MontoPagado;
    }

    /* Establece el valor del campo MontoPagadoMN */
    public function setMontoPagadoMN( $f_MontoPagadoMN )
    {
        $this->f_MontoPagadoMN = $f_MontoPagadoMN;
    }

    /* Obtiene el valor del campo MontoPagadoMN */
    public function getMontoPagadoMN()
    {
        return $this->f_MontoPagadoMN;
    }

    /* Establece el valor del campo MontoSaldo */
    public function setMontoSaldo( $f_MontoSaldo )
    {
        $this->f_MontoSaldo = $f_MontoSaldo;
    }

    /* Obtiene el valor del campo MontoSaldo */
    public function getMontoSaldo()
    {
        return $this->f_MontoSaldo;
    }

    /* Establece el valor del campo MontoSaldoMN */
    public function setMontoSaldoMN( $f_MontoSaldoMN )
    {
        $this->f_MontoSaldoMN = $f_MontoSaldoMN;
    }

    /* Obtiene el valor del campo MontoSaldoMN */
    public function getMontoSaldoMN()
    {
        return $this->f_MontoSaldoMN;
    }

    /* Establece el valor del campo FechaFacturacion */
    public function setFechaFacturacion( $d_FechaFacturacion )
    {
        $this->d_FechaFacturacion = $d_FechaFacturacion;
    }

    /* Obtiene el valor del campo FechaFacturacion */
    public function getFechaFacturacion()
    {
        return $this->d_FechaFacturacion;
    }

    /* Establece el valor del campo FechaAprobacion */
    public function setFechaAprobacion( $d_FechaAprobacion )
    {
        $this->d_FechaAprobacion = $d_FechaAprobacion;
    }

    /* Obtiene el valor del campo FechaAprobacion */
    public function getFechaAprobacion()
    {
        return $this->d_FechaAprobacion;
    }

    /* Establece el valor del campo NotaCreditoDocumento */
    public function setNotaCreditoDocumento( $s_NotaCreditoDocumento )
    {
        $this->s_NotaCreditoDocumento = $s_NotaCreditoDocumento;
    }

    /* Obtiene el valor del campo NotaCreditoDocumento */
    public function getNotaCreditoDocumento()
    {
        return $this->s_NotaCreditoDocumento;
    }

    /* Establece el valor del campo ImpresionPendienteFlag */
    public function setImpresionPendienteFlag( $s_ImpresionPendienteFlag )
    {
        $this->s_ImpresionPendienteFlag = $s_ImpresionPendienteFlag;
    }

    /* Obtiene el valor del campo ImpresionPendienteFlag */
    public function getImpresionPendienteFlag()
    {
        return $this->s_ImpresionPendienteFlag;
    }

    /* Establece el valor del campo FechaImpresion */
    public function setFechaImpresion( $d_FechaImpresion )
    {
        $this->d_FechaImpresion = $d_FechaImpresion;
    }

    /* Obtiene el valor del campo FechaImpresion */
    public function getFechaImpresion()
    {
        return $this->d_FechaImpresion;
    }

    /* Establece el valor del campo ImpresionGuiaRemFlag */
    public function setImpresionGuiaRemFlag( $s_ImpresionGuiaRemFlag )
    {
        $this->s_ImpresionGuiaRemFlag = $s_ImpresionGuiaRemFlag;
    }

    /* Obtiene el valor del campo ImpresionGuiaRemFlag */
    public function getImpresionGuiaRemFlag()
    {
        return $this->s_ImpresionGuiaRemFlag;
    }

    /* Establece el valor del campo FechaImpresionGuiRem */
    public function setFechaImpresionGuiRem( $d_FechaImpresionGuiRem )
    {
        $this->d_FechaImpresionGuiRem = $d_FechaImpresionGuiRem;
    }

    /* Obtiene el valor del campo FechaImpresionGuiRem */
    public function getFechaImpresionGuiRem()
    {
        return $this->d_FechaImpresionGuiRem;
    }

    /* Establece el valor del campo NumeroRefAdicional1 */
    public function setNumeroRefAdicional1( $s_NumeroRefAdicional1 )
    {
        $this->s_NumeroRefAdicional1 = $s_NumeroRefAdicional1;
    }

    /* Obtiene el valor del campo NumeroRefAdicional1 */
    public function getNumeroRefAdicional1()
    {
        return $this->s_NumeroRefAdicional1;
    }

    /* Establece el valor del campo FechaRefAdicional1 */
    public function setFechaRefAdicional1( $d_FechaRefAdicional1 )
    {
        $this->d_FechaRefAdicional1 = $d_FechaRefAdicional1;
    }

    /* Obtiene el valor del campo FechaRefAdicional1 */
    public function getFechaRefAdicional1()
    {
        return $this->d_FechaRefAdicional1;
    }

    /* Establece el valor del campo Comentario */
    public function setComentario( $s_Comentario )
    {
        $this->s_Comentario = $s_Comentario;
    }

    /* Obtiene el valor del campo Comentario */
    public function getComentario()
    {
        return $this->s_Comentario;
    }

    /* Establece el valor del campo AnulacionComentario */
    public function setAnulacionComentario( $s_AnulacionComentario )
    {
        $this->s_AnulacionComentario = $s_AnulacionComentario;
    }

    /* Obtiene el valor del campo AnulacionComentario */
    public function getAnulacionComentario()
    {
        return $this->s_AnulacionComentario;
    }

    /* Establece el valor del campo CanalVenta */
    public function setCanalVenta( $s_CanalVenta )
    {
        $this->s_CanalVenta = $s_CanalVenta;
    }

    /* Obtiene el valor del campo CanalVenta */
    public function getCanalVenta()
    {
        return $this->s_CanalVenta;
    }

    /* Establece el valor del campo FechaCobranza */
    public function setFechaCobranza( $d_FechaCobranza )
    {
        $this->d_FechaCobranza = $d_FechaCobranza;
    }

    /* Obtiene el valor del campo FechaCobranza */
    public function getFechaCobranza()
    {
        return $this->d_FechaCobranza;
    }

    /* Establece el valor del campo CobranzaEstado */
    public function setCobranzaEstado( $s_CobranzaEstado )
    {
        $this->s_CobranzaEstado = $s_CobranzaEstado;
    }

    /* Obtiene el valor del campo CobranzaEstado */
    public function getCobranzaEstado()
    {
        return $this->s_CobranzaEstado;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdTipoDocumento' => $this->getIdTipoDocumento(),
            'IdCompania' => $this->getIdCompania(),
            'NumeroDocumento' => $this->getNumeroDocumento(),
            'Sucursal' => $this->getSucursal(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'AlmacenDespacho' => $this->getAlmacenDespacho(),
            'IdFormaPago' => $this->getIdFormaPago(),
            'FormaPagoCod' => $this->getFormaPagoCod(),
            'TerminoPago' => $this->getTerminoPago(),
            'IdCierre' => $this->getIdCierre(),
            'IdCaja' => $this->getIdCaja(),
            'IdTurno' => $this->getIdTurno(),
            'IdProyecto' => $this->getIdProyecto(),
            'DocumentoCod' => $this->getDocumentoCod(),
            'DocumentoSerie' => $this->getDocumentoSerie(),
            'DocumentoNumero' => $this->getDocumentoNumero(),
            'NumeroComprobante' => $this->getNumeroComprobante(),
            'Periodo' => $this->getPeriodo(),
            'FechaDocumento' => $this->getFechaDocumento(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'DocumentoParentId' => $this->getDocumentoParentId(),
            'DocumentoParentCod' => $this->getDocumentoParentCod(),
            'ClienteNumero' => $this->getClienteNumero(),
            'ClienteTipoDoc' => $this->getClienteTipoDoc(),
            'ClienteRUC' => $this->getClienteRUC(),
            'ClienteNombre' => $this->getClienteNombre(),
            'ClienteDireccionSecuencia' => $this->getClienteDireccionSecuencia(),
            'ClienteDireccion' => $this->getClienteDireccion(),
            'ClienteReferencia' => $this->getClienteReferencia(),
            'ClienteContacto' => $this->getClienteContacto(),
            'Departamento' => $this->getDepartamento(),
            'Provincia' => $this->getProvincia(),
            'Distrito' => $this->getDistrito(),
            'Ubigeo' => $this->getUbigeo(),
            'TipoFacturacion' => $this->getTipoFacturacion(),
            'OrdenCompraRef' => $this->getOrdenCompraRef(),
            'TipoVenta' => $this->getTipoVenta(),
            'Vendedor' => $this->getVendedor(),
            'DetraccionTipoId' => $this->getDetraccionTipoId(),
            'DetraccionPorcentaje' => $this->getDetraccionPorcentaje(),
            'DetraccionMedPagoId' => $this->getDetraccionMedPagoId(),
            'DetraccionTotal' => $this->getDetraccionTotal(),
            'EsAgenteRetenedor' => $this->getEsAgenteRetenedor(),
            'RetencionTipoId' => $this->getRetencionTipoId(),
            'RetencionBaseImponible' => $this->getRetencionBaseImponible(),
            'RetencionPorcentaje' => $this->getRetencionPorcentaje(),
            'RetencionTotal' => $this->getRetencionTotal(),
            'TipodeCambio' => $this->getTipodeCambio(),
            'MonedaDocumento' => $this->getMonedaDocumento(),
            'MontoSubTotal' => $this->getMontoSubTotal(),
            'MontoSubTotalMN' => $this->getMontoSubTotalMN(),
            'MontoAfecto' => $this->getMontoAfecto(),
            'MontoAfectoMN' => $this->getMontoAfectoMN(),
            'MontoNoAfecto' => $this->getMontoNoAfecto(),
            'MontoNoAfectoMN' => $this->getMontoNoAfectoMN(),
            'MontoExonerado' => $this->getMontoExonerado(),
            'MontoExoneradoMN' => $this->getMontoExoneradoMN(),
            'MontoGratuito' => $this->getMontoGratuito(),
            'MontoGratuitoMN' => $this->getMontoGratuitoMN(),
            'MontoImpuestos' => $this->getMontoImpuestos(),
            'MontoImpuestoMN' => $this->getMontoImpuestoMN(),
            'MontoDescuentos' => $this->getMontoDescuentos(),
            'MontoDescuentosMN' => $this->getMontoDescuentosMN(),
            'MontoAnticipo' => $this->getMontoAnticipo(),
            'MontoAnticipoMN' => $this->getMontoAnticipoMN(),
            'MontoRedondeo' => $this->getMontoRedondeo(),
            'MontoRedondeoMN' => $this->getMontoRedondeoMN(),
            'MontoTotal' => $this->getMontoTotal(),
            'MontoTotalMN' => $this->getMontoTotalMN(),
            'MontoPagado' => $this->getMontoPagado(),
            'MontoPagadoMN' => $this->getMontoPagadoMN(),
            'MontoSaldo' => $this->getMontoSaldo(),
            'MontoSaldoMN' => $this->getMontoSaldoMN(),
            'FechaFacturacion' => $this->getFechaFacturacion(),
            'FechaAprobacion' => $this->getFechaAprobacion(),
            'NotaCreditoDocumento' => $this->getNotaCreditoDocumento(),
            'ImpresionPendienteFlag' => $this->getImpresionPendienteFlag(),
            'FechaImpresion' => $this->getFechaImpresion(),
            'ImpresionGuiaRemFlag' => $this->getImpresionGuiaRemFlag(),
            'FechaImpresionGuiRem' => $this->getFechaImpresionGuiRem(),
            'NumeroRefAdicional1' => $this->getNumeroRefAdicional1(),
            'FechaRefAdicional1' => $this->getFechaRefAdicional1(),
            'Comentario' => $this->getComentario(),
            'AnulacionComentario' => $this->getAnulacionComentario(),
            'CanalVenta' => $this->getCanalVenta(),
            'FechaCobranza' => $this->getFechaCobranza(),
            'CobranzaEstado' => $this->getCobranzaEstado(),
            'Estado' => $this->getEstado(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto VTA_DocumentoBN desde un RecordSet */
    public static function retrieveByRs( $o_VTA_DocumentoRs )
    {
        $o_VTA_DocumentoBN = new VTA_DocumentoBN();
        $o_VTA_DocumentoBN->setIdTipoDocumento( $o_VTA_DocumentoRs[ "IdTipoDocumento" ] );
        $o_VTA_DocumentoBN->setIdCompania( ( integer ) $o_VTA_DocumentoRs[ "IdCompania" ] );
        $o_VTA_DocumentoBN->setNumeroDocumento( $o_VTA_DocumentoRs[ "NumeroDocumento" ] );
        $o_VTA_DocumentoBN->setSucursal( $o_VTA_DocumentoRs[ "Sucursal" ] );
        $o_VTA_DocumentoBN->setIdAlmacen( $o_VTA_DocumentoRs[ "IdAlmacen" ] );
        $o_VTA_DocumentoBN->setAlmacenDespacho( $o_VTA_DocumentoRs[ "AlmacenDespacho" ] );
        $o_VTA_DocumentoBN->setIdFormaPago( $o_VTA_DocumentoRs[ "IdFormaPago" ] );
        $o_VTA_DocumentoBN->setFormaPagoCod( $o_VTA_DocumentoRs[ "FormaPagoCod" ] );
        $o_VTA_DocumentoBN->setTerminoPago( ( integer ) $o_VTA_DocumentoRs[ "TerminoPago" ] );
        $o_VTA_DocumentoBN->setIdCierre( ( integer ) $o_VTA_DocumentoRs[ "IdCierre" ] );
        $o_VTA_DocumentoBN->setIdCaja( ( integer ) $o_VTA_DocumentoRs[ "IdCaja" ] );
        $o_VTA_DocumentoBN->setIdTurno( ( integer ) $o_VTA_DocumentoRs[ "IdTurno" ] );
        $o_VTA_DocumentoBN->setIdProyecto( ( integer ) $o_VTA_DocumentoRs[ "IdProyecto" ] );
        $o_VTA_DocumentoBN->setDocumentoCod( $o_VTA_DocumentoRs[ "DocumentoCod" ] );
        $o_VTA_DocumentoBN->setDocumentoSerie( $o_VTA_DocumentoRs[ "DocumentoSerie" ] );
        $o_VTA_DocumentoBN->setDocumentoNumero( $o_VTA_DocumentoRs[ "DocumentoNumero" ] );
        $o_VTA_DocumentoBN->setNumeroComprobante( $o_VTA_DocumentoRs[ "NumeroComprobante" ] );
        $o_VTA_DocumentoBN->setPeriodo( $o_VTA_DocumentoRs[ "Periodo" ] );
        $o_VTA_DocumentoBN->setFechaDocumento( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaDocumento" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaVencimiento" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setDocumentoParentId( ( integer ) $o_VTA_DocumentoRs[ "DocumentoParentId" ] );
        $o_VTA_DocumentoBN->setDocumentoParentCod( $o_VTA_DocumentoRs[ "DocumentoParentCod" ] );
        $o_VTA_DocumentoBN->setClienteNumero( $o_VTA_DocumentoRs[ "ClienteNumero" ] );
        $o_VTA_DocumentoBN->setClienteTipoDoc( $o_VTA_DocumentoRs[ "ClienteTipoDoc" ] );
        $o_VTA_DocumentoBN->setClienteRUC( $o_VTA_DocumentoRs[ "ClienteRUC" ] );
        $o_VTA_DocumentoBN->setClienteNombre( $o_VTA_DocumentoRs[ "ClienteNombre" ] );
        $o_VTA_DocumentoBN->setClienteDireccionSecuencia( ( float ) $o_VTA_DocumentoRs[ "ClienteDireccionSecuencia" ] );
        $o_VTA_DocumentoBN->setClienteDireccion( $o_VTA_DocumentoRs[ "ClienteDireccion" ] );
        $o_VTA_DocumentoBN->setClienteReferencia( $o_VTA_DocumentoRs[ "ClienteReferencia" ] );
        $o_VTA_DocumentoBN->setClienteContacto( $o_VTA_DocumentoRs[ "ClienteContacto" ] );
        $o_VTA_DocumentoBN->setDepartamento( $o_VTA_DocumentoRs[ "Departamento" ] );
        $o_VTA_DocumentoBN->setProvincia( $o_VTA_DocumentoRs[ "Provincia" ] );
        $o_VTA_DocumentoBN->setDistrito( $o_VTA_DocumentoRs[ "Distrito" ] );
        $o_VTA_DocumentoBN->setUbigeo( $o_VTA_DocumentoRs[ "Ubigeo" ] );
        $o_VTA_DocumentoBN->setTipoFacturacion( $o_VTA_DocumentoRs[ "TipoFacturacion" ] );
        $o_VTA_DocumentoBN->setOrdenCompraRef( $o_VTA_DocumentoRs[ "OrdenCompraRef" ] );
        $o_VTA_DocumentoBN->setTipoVenta( $o_VTA_DocumentoRs[ "TipoVenta" ] );
        $o_VTA_DocumentoBN->setVendedor( $o_VTA_DocumentoRs[ "Vendedor" ] );
        $o_VTA_DocumentoBN->setDetraccionTipoId( ( integer ) $o_VTA_DocumentoRs[ "DetraccionTipoId" ] );
        $o_VTA_DocumentoBN->setDetraccionPorcentaje( ( float ) $o_VTA_DocumentoRs[ "DetraccionPorcentaje" ] );
        $o_VTA_DocumentoBN->setDetraccionMedPagoId( ( integer ) $o_VTA_DocumentoRs[ "DetraccionMedPagoId" ] );
        $o_VTA_DocumentoBN->setDetraccionTotal( ( float ) $o_VTA_DocumentoRs[ "DetraccionTotal" ] );
        $o_VTA_DocumentoBN->setEsAgenteRetenedor( ( integer ) $o_VTA_DocumentoRs[ "EsAgenteRetenedor" ] );
        $o_VTA_DocumentoBN->setRetencionTipoId( ( integer ) $o_VTA_DocumentoRs[ "RetencionTipoId" ] );
        $o_VTA_DocumentoBN->setRetencionBaseImponible( ( float ) $o_VTA_DocumentoRs[ "RetencionBaseImponible" ] );
        $o_VTA_DocumentoBN->setRetencionPorcentaje( ( float ) $o_VTA_DocumentoRs[ "RetencionPorcentaje" ] );
        $o_VTA_DocumentoBN->setRetencionTotal( ( float ) $o_VTA_DocumentoRs[ "RetencionTotal" ] );
        $o_VTA_DocumentoBN->setTipodeCambio( ( float ) $o_VTA_DocumentoRs[ "TipodeCambio" ] );
        $o_VTA_DocumentoBN->setMonedaDocumento( $o_VTA_DocumentoRs[ "MonedaDocumento" ] );
        $o_VTA_DocumentoBN->setMontoSubTotal( ( float ) $o_VTA_DocumentoRs[ "MontoSubTotal" ] );
        $o_VTA_DocumentoBN->setMontoSubTotalMN( ( float ) $o_VTA_DocumentoRs[ "MontoSubTotalMN" ] );
        $o_VTA_DocumentoBN->setMontoAfecto( ( float ) $o_VTA_DocumentoRs[ "MontoAfecto" ] );
        $o_VTA_DocumentoBN->setMontoAfectoMN( ( float ) $o_VTA_DocumentoRs[ "MontoAfectoMN" ] );
        $o_VTA_DocumentoBN->setMontoNoAfecto( ( float ) $o_VTA_DocumentoRs[ "MontoNoAfecto" ] );
        $o_VTA_DocumentoBN->setMontoNoAfectoMN( ( float ) $o_VTA_DocumentoRs[ "MontoNoAfectoMN" ] );
        $o_VTA_DocumentoBN->setMontoExonerado( ( float ) $o_VTA_DocumentoRs[ "MontoExonerado" ] );
        $o_VTA_DocumentoBN->setMontoExoneradoMN( ( float ) $o_VTA_DocumentoRs[ "MontoExoneradoMN" ] );
        $o_VTA_DocumentoBN->setMontoGratuito( ( float ) $o_VTA_DocumentoRs[ "MontoGratuito" ] );
        $o_VTA_DocumentoBN->setMontoGratuitoMN( ( float ) $o_VTA_DocumentoRs[ "MontoGratuitoMN" ] );
        $o_VTA_DocumentoBN->setMontoImpuestos( ( float ) $o_VTA_DocumentoRs[ "MontoImpuestos" ] );
        $o_VTA_DocumentoBN->setMontoImpuestoMN( ( float ) $o_VTA_DocumentoRs[ "MontoImpuestoMN" ] );
        $o_VTA_DocumentoBN->setMontoDescuentos( ( float ) $o_VTA_DocumentoRs[ "MontoDescuentos" ] );
        $o_VTA_DocumentoBN->setMontoDescuentosMN( ( float ) $o_VTA_DocumentoRs[ "MontoDescuentosMN" ] );
        $o_VTA_DocumentoBN->setMontoAnticipo( ( float ) $o_VTA_DocumentoRs[ "MontoAnticipo" ] );
        $o_VTA_DocumentoBN->setMontoAnticipoMN( ( float ) $o_VTA_DocumentoRs[ "MontoAnticipoMN" ] );
        $o_VTA_DocumentoBN->setMontoRedondeo( ( float ) $o_VTA_DocumentoRs[ "MontoRedondeo" ] );
        $o_VTA_DocumentoBN->setMontoRedondeoMN( ( float ) $o_VTA_DocumentoRs[ "MontoRedondeoMN" ] );
        $o_VTA_DocumentoBN->setMontoTotal( ( float ) $o_VTA_DocumentoRs[ "MontoTotal" ] );
        $o_VTA_DocumentoBN->setMontoTotalMN( ( float ) $o_VTA_DocumentoRs[ "MontoTotalMN" ] );
        $o_VTA_DocumentoBN->setMontoPagado( ( float ) $o_VTA_DocumentoRs[ "MontoPagado" ] );
        $o_VTA_DocumentoBN->setMontoPagadoMN( ( float ) $o_VTA_DocumentoRs[ "MontoPagadoMN" ] );
        $o_VTA_DocumentoBN->setMontoSaldo( ( float ) $o_VTA_DocumentoRs[ "MontoSaldo" ] );
        $o_VTA_DocumentoBN->setMontoSaldoMN( ( float ) $o_VTA_DocumentoRs[ "MontoSaldoMN" ] );
        $o_VTA_DocumentoBN->setFechaFacturacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaFacturacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setFechaAprobacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaAprobacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setNotaCreditoDocumento( $o_VTA_DocumentoRs[ "NotaCreditoDocumento" ] );
        $o_VTA_DocumentoBN->setImpresionPendienteFlag( $o_VTA_DocumentoRs[ "ImpresionPendienteFlag" ] );
        $o_VTA_DocumentoBN->setFechaImpresion( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaImpresion" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setImpresionGuiaRemFlag( $o_VTA_DocumentoRs[ "ImpresionGuiaRemFlag" ] );
        $o_VTA_DocumentoBN->setFechaImpresionGuiRem( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaImpresionGuiRem" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setNumeroRefAdicional1( $o_VTA_DocumentoRs[ "NumeroRefAdicional1" ] );
        $o_VTA_DocumentoBN->setFechaRefAdicional1( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaRefAdicional1" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setComentario( $o_VTA_DocumentoRs[ "Comentario" ] );
        $o_VTA_DocumentoBN->setAnulacionComentario( $o_VTA_DocumentoRs[ "AnulacionComentario" ] );
        $o_VTA_DocumentoBN->setCanalVenta( $o_VTA_DocumentoRs[ "CanalVenta" ] );
        $o_VTA_DocumentoBN->setFechaCobranza( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaCobranza" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setCobranzaEstado( $o_VTA_DocumentoRs[ "CobranzaEstado" ] );
        $o_VTA_DocumentoBN->setEstado( $o_VTA_DocumentoRs[ "Estado" ] );
        $o_VTA_DocumentoBN->setUsuarioModificacion( $o_VTA_DocumentoRs[ "UsuarioModificacion" ] );
        $o_VTA_DocumentoBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_VTA_DocumentoBN->setUsuarioCreacion( $o_VTA_DocumentoRs[ "UsuarioCreacion" ] );
        $o_VTA_DocumentoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_VTA_DocumentoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        return $o_VTA_DocumentoBN;
    }
}
?>